(function($){
    $(document).bind('ready',function(){
       $('.cms-grid-masonry').each(function(){
        $filter = $('#menu-w_leftmenu');
          if($filter){
            $filter.find('a').on('click',function(e){
              e.preventDefault();

              $filter.find('a').removeClass('active');
              $(this).addClass('active');
                   
              var groupName = $(this).attr('data-group');

              $('.cms-grid-masonry').shuffle('shuffle', groupName );
            });
          }
       });  
    });
})(jQuery);